// creator  : weidu.exe (version 23100)
// argument : _SIL.DLG
// game		 : .
// source	 : ./override/_SIL.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_SIL~

IF ~NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #86603 /* ~This is not your place.  This is the home of Sil's tribe!  Dirty land folk, you shall suffer for your trespass.~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ EXIT
END

IF ~NumberOfTimesTalkedTo(1)
~ THEN BEGIN 1 // from:
  SAY #86604 /* ~You have ignored our warnings thus-far, but perhaps you doubt their seriousness.  I tell you now that this is our living-land, and you are not welcome!  You will return whence you came while you are still able!~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 2 // from:
  SAY #86605 /* ~You don't think you should go any further.~ */
  IF ~~ THEN EXTERN ~_CHARMC~ 0
END

IF ~~ THEN BEGIN 3 // from:
  SAY #86612 /* ~You think you should leave right now.~ */
  IF ~~ THEN EXTERN ~_CHARMC~ 1
END

IF ~~ THEN BEGIN 4 // from:
  SAY #86613 /* ~Your friends won't leave, so you better force them.  You wouldn't want them to get hurt.~ */
  IF ~~ THEN EXTERN ~_CHARMC~ 2
END

IF ~~ THEN BEGIN 5 // from:
  SAY #86614 /* ~If they won't let you leave, they must not care about your safety.~ */
  IF ~~ THEN EXTERN ~_CHARMC~ 3
END

IF ~~ THEN BEGIN 6 // from: 8.2
  SAY #86615 /* ~I've an offer for those of you who are still intelligent enough to accept it.  Leave now and we shall restore your comrades.  Stay and you share their fate!~ */
  IF ~~ THEN REPLY #86616 /* ~Our apologies for intruding upon your space.  We shall leave forthwith, and not disturb you again.~ */ EXIT
  IF ~~ THEN REPLY #86617 /* ~No!  I fight on until the battle is won!~ */ EXIT
  IF ~~ THEN REPLY #86618 /* ~We'll all die before we surrender!~ */ EXIT
END

IF ~~ THEN BEGIN 7 // from:
  SAY #86619 /* ~Now go!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 8 // from:
  SAY #86620 /* ~You are foolish to have returned!  'Tis an affront to our solitude and you shall suffer for it!~ */
  IF ~~ THEN REPLY #86621 /* ~Concede, lest you lose your lives as well as the fight!~ */ GOTO 9
  IF ~~ THEN REPLY #86621 /* ~Concede, lest you lose your lives as well as the fight!~ */ GOTO 11
  IF ~~ THEN REPLY #86622 /* ~I am defeated!  Stay your killing blow, I yield!~ */ GOTO 6
END

IF ~~ THEN BEGIN 9 // from: 8.0
  SAY #86623 /* ~You have bested us.  It is your right to pass, but I spit where you walk and speak ill of your name forever more!~ */
  IF ~~ THEN EXIT
END

IF ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 10 // from:
  SAY #86624 /* ~We fight for no reason. Pass and begone if that is all you wish!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 11 // from: 8.1
  SAY #86625 /* ~You defile our home with your presence!  You'll not pass!~ */
  IF ~~ THEN EXIT
END
